

export default function () {

  let SelectionBox = require('ant-design-vue/es/table/SelectionBox.js').default
  SelectionBox.props.record = {
    type:Object
  }
  SelectionBox.props.index = {
    type:Number
  }
  SelectionBox.props.value = {
    type: Boolean,
    default:false
  };


  SelectionBox.inject={
    tableType: {
      default: 'tableType'
    }
  }
  SelectionBox.watch = {
    value(v) {
      // var event = new Event('change');
      // let input = this.$el.querySelector('input')
      // input.checked=v
      // input.dispatchEvent(event);

    }
  }
  SelectionBox.computed.checked = (function (fn) {
    return function ({ value }) {

      if (this.tableType == 't-table') {
        // if (!('_$checked' in this.record)) {
        //   this.$set(this.record,'_$checked',this.value)
        // }
        return value
      } else {
        return fn.apply(this, arguments);
      }

    }
  })(SelectionBox.computed.checked);


  // _Table.render = (function (fn) {
  //   return function (h) {

  //     // let dragLine = h(createDragLine(),{ref: "dragLine",key:'dragLine' })
  //     // const vNode = fn.apply(this, arguments);
  //     // vNode.children.push(dragLine)
  //     return vNode
  //   }
  // })(_Table.render);




}